package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.UserAddress;

/**
 * 用户地址信息Service接口
 * 
 * @author liming
 * @date 2023-08-01
 */
public interface UserAddressService extends IService<UserAddress> {
    /**
     * 根据用户id查询最新一条用户的地址信息
     * @param id
     * @return
     */
    UserAddress getAddress(Long userId);
}
